Package com.orchestranetworks.ui.toolbar

# Enum Class ToolbarLocation

java.lang.Object
java.lang.Enum<ToolbarLocation>
com.orchestranetworks.ui.toolbar.ToolbarLocation

All Implemented Interfaces:
  `Serializable`, `Comparable<ToolbarLocation>`, `Constable`

public enum ToolbarLocation extends Enum<ToolbarLocation>
Possible locations of a toolbar.

Since:
  5.7.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSOCIATION_ROW`
  Toolbar displayed on each record row of an association table in a record form
  `ASSOCIATION_TOP`
  Toolbar displayed on top of an association table in a record form
  `CUSTOM_LOCATION`
  Menu displayed in a custom location.
  `DATASET_NODE`
  Toolbar displayed next to a dataset node.
  `DATASET_VIEW_NAVIGATION_PANE`
  Toolbar displayed on top of a dataset navigation pane.
  `DATASET_VIEW_TOP`
  Toolbar displayed on top of a dataset form view.
  `DATASPACE_VIEW_WORKSPACE`
  Toolbar displayed on top of a dataspace view.
  `HIERARCHICAL_VIEW_NODE`
  Toolbar displayed next to a node in a hierarchical view.
  `HIERARCHICAL_VIEW_TOP`
  Toolbar displayed on top of a hierarchical view.
  `PERSPECTIVE_MENU`
  Menu displayed in perspectives.
  `RECORD_VIEW_TOP`
  Toolbar displayed on top of a record form view.
  `SIDEBAR`
  Menu displayed as a sidebar in the app.
  `TABLE_VIEW_ROW`
  Toolbar displayed on each record row of a table grid view.
  `TABLE_VIEW_TOP`
  Toolbar displayed on top of a table grid view.
  `TILE_VIEW`
  Toolbar displayed on each tile of a tile view.
  `WIDGET_SPECIFIC`
  Toolbar displayed in specific widgets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCustomToolbarLocation(ServicePermissionRuleContext<?> aContext)`
  Returns the custom toolbar location contextual information.
  `boolean`
  `isAssociationRow()`
  `boolean`
  `isAssociationTop()`
  `boolean`
  `isAvailableForCustomToolbar()`
  `boolean`
  `isCustom()`
  `boolean`
  `isHierarchicalViewTop()`
  `boolean`
  `isRecordViewTop()`
  `boolean`
  `isSidebar()`
  `boolean`
  `isTableViewRow()`
  `boolean`
  `isTableViewTop()`
  `boolean`
  `isTileViewRow()`
  `static ToolbarLocation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ToolbarLocation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATASPACE_VIEW_WORKSPACE

    public static final ToolbarLocation DATASPACE_VIEW_WORKSPACE
    Toolbar displayed on top of a dataspace view.

    Note: This location is not yet available for assigning a custom toolbar.

    Since:
      5.8.0

  - ### DATASET_VIEW_NAVIGATION_PANE

    public static final ToolbarLocation DATASET_VIEW_NAVIGATION_PANE
    Toolbar displayed on top of a dataset navigation pane.

    Note: This location is not yet available for assigning a custom toolbar.

    Since:
      5.8.0

  - ### DATASET_VIEW_TOP

    public static final ToolbarLocation DATASET_VIEW_TOP
    Toolbar displayed on top of a dataset form view.

    Note: This location is not yet available for assigning a custom toolbar.

    Since:
      5.8.0

  - ### DATASET_NODE

    public static final ToolbarLocation DATASET_NODE
    Toolbar displayed next to a dataset node.

    Note: This location is not available for assigning a custom toolbar.

    Since:
      5.8.0

  - ### TABLE_VIEW_TOP

    public static final ToolbarLocation TABLE_VIEW_TOP
    Toolbar displayed on top of a table grid view.

  - ### TABLE_VIEW_ROW

    public static final ToolbarLocation TABLE_VIEW_ROW
    Toolbar displayed on each record row of a table grid view.

  - ### TILE_VIEW

    public static final ToolbarLocation TILE_VIEW
    Toolbar displayed on each tile of a tile view.
    Since:
      6.1

  - ### RECORD_VIEW_TOP

    public static final ToolbarLocation RECORD_VIEW_TOP
    Toolbar displayed on top of a record form view.

  - ### HIERARCHICAL_VIEW_TOP

    public static final ToolbarLocation HIERARCHICAL_VIEW_TOP
    Toolbar displayed on top of a hierarchical view.

  - ### HIERARCHICAL_VIEW_NODE

    public static final ToolbarLocation HIERARCHICAL_VIEW_NODE
    Toolbar displayed next to a node in a hierarchical view.

    Note: This location is not yet available for assigning a custom toolbar.

    Since:
      5.8.0

  - ### ASSOCIATION_TOP

    public static final ToolbarLocation ASSOCIATION_TOP
    Toolbar displayed on top of an association table in a record form

  - ### ASSOCIATION_ROW

    public static final ToolbarLocation ASSOCIATION_ROW
    Toolbar displayed on each record row of an association table in a record form

  - ### WIDGET_SPECIFIC

    public static final ToolbarLocation WIDGET_SPECIFIC
    Toolbar displayed in specific widgets. Currently only used for the CREATE service in the foreign key combo-box.

    Note: This location is not available to assign a custom toolbar.

    Since:
      5.9.0

  - ### PERSPECTIVE_MENU

    public static final ToolbarLocation PERSPECTIVE_MENU
    Menu displayed in perspectives.

    Note: This location is not available to assign a custom toolbar.

    Since:
      5.9.0

  - ### CUSTOM_LOCATION

    public static final ToolbarLocation CUSTOM_LOCATION
    Menu displayed in a custom location.

    Note : A contextual information about this location can be get using the method : `getCustomToolbarLocation(ServicePermissionRuleContext)`

    Since:
      6.0.0

  - ### SIDEBAR

    public static final ToolbarLocation SIDEBAR
    Menu displayed as a sidebar in the app.

    Note: This location is not available to assign a custom toolbar and is currently for internal use only.

- ## Method Details

  - ### values

    public static ToolbarLocation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ToolbarLocation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isTableViewTop

    public boolean isTableViewTop()

  - ### isHierarchicalViewTop

    public boolean isHierarchicalViewTop()

  - ### isAssociationTop

    public boolean isAssociationTop()

  - ### isAssociationRow

    public boolean isAssociationRow()

  - ### isRecordViewTop

    public boolean isRecordViewTop()

  - ### isTableViewRow

    public boolean isTableViewRow()

  - ### isTileViewRow

    public boolean isTileViewRow()

  - ### isCustom

    public boolean isCustom()

  - ### isSidebar

    public boolean isSidebar()

  - ### isAvailableForCustomToolbar

    public boolean isAvailableForCustomToolbar()
    Since:
      5.8.0

  - ### getCustomToolbarLocation

    public static String getCustomToolbarLocation(ServicePermissionRuleContext<?> aContext)
    Returns the custom toolbar location contextual information.
    Since:
      6.0.0
    See Also:
      - `CUSTOM_LOCATION`